/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz>
 */

!function($, window, document, _undefined)
{
    "use strict";

    XF.PostPreview = XF.Element.newHandler({
        /**
         * TESTER ELEMENTS
         */
        testText: $('.is-active #test-postStyle-text'),

        /**
         * OPTION ELEMENTS
         */
        bold:      $('#postBold'),
        italic:    $('#postItalic'),
        underline: $('#postUnderline'),
        color:     $('#postColor'),
        font:      $('#postFont'),
        fontSize:  $('#postFontSize'),

        init: function()
        {
            var t = this;

            this.bold.on('change', function()
            {
                processCheckbox($(this), t.testText, 'font-weight', 'bold', 'normal');
            });

            this.italic.on('change', function()
            {
                processCheckbox($(this), t.testText, 'font-style', 'italic', 'normal');
            });

            this.underline.on('change', function()
            {
                processCheckbox($(this), t.testText, 'text-decoration', 'underline', 'none');
            });

            this.color.on('input', function()
            {
                t.testText.css('color', $(this).val());
            });

            this.font.on('change', function()
            {
                setFont(t.testText, $(this).find('option:selected').val());
            });

            this.fontSize.on('change', function()
            {
                t.testText.css('font-size', $(this).val() + 'px');
            });
        }
    });

    XF.Element.register('post-preview', 'XF.PostPreview');
}
(jQuery, window, document);
