/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz>
 */

!function($, window, document, _undefined)
{
    "use strict";
    
    XF.ProfilePreview = XF.Element.newHandler({
        /**
         * TESTER ELEMENTS
         */
        testHeader:         $('#test-profileHeader'),
        testPageBg:         $('#test-profilePageBg'),
        testNavbar:         $('#test-profileNavbar'),
        testColor:          $('#test-profileColor'),
        testUrlColor:       $('.test-url-color'),
        testButtonColor:    $('#test-profileButtonColor'),
        testNavUrl:         $('.test-profileNavUrl'),
        testTabUrl:         $('.test-profileTabUrl'),
        testHighlightColor: $('#test-profileHighlightColor'),
        testBoxHeader:      $('#test-profileBoxHeader'),
        testBoxBg:          $('#test-profileBoxBg'),
        testButtonColor:    $('#test-profileButtonColor'),

        /**
         * OPTION ELEMENTS
         */
        header:             $('#profilePageHeader'),
        pageBg:             $('#profilePageBg'),
        pageBgRep:          $('#profilePageBgRep'),
        navbarBg:           $('#profileNavbarBg'),
        fontColor:          $('#profileFontColor'),
        urlColor:           $('#profileUrlColor'),
        highlightColor:     $('#profileHighlightColor'),
        boxHeader:          $('#profileBoxHeader'),
        boxBg:              $('#profileBoxBg'),
        borderColor:        $('#profileBorderColor'),
        borderAltColor:     $('#profileBorderAltColor'),
        buttonColor:        $('#profileButtonColor'),

        init: function()
        {
            var t = this;

            this.header.on('input', function()
            {
                t.testHeader.css({
                    'background-image':    'url(' + $(this).val() + ')',
                    'background-position': '50%'
                });
            });

            this.pageBg.on('input', function()
            {
                t.testPageBg.css('background', $(this).val());
            });

            this.pageBgRep.on('change', function()
            {
                setBackgroundRepeat(t.testPageBg, $(this).val());
            });

            this.navbarBg.on('change', function()
            {
                var navbarBg = $(this).val();

                t.testNavbar.css('background', navbarBg);
                $('.block-tabHeader--preview').css('background', navbarBg);
            });

            this.fontColor.on('change', function()
            {
                t.testColor.css('color', $(this).val());
            });

            this.urlColor.on('change', function()
            {
                var urlColor = $(this).val();

                t.testUrlColor.css('color', urlColor);
                t.testButtonColor.css('color', urlColor);
                t.testNavUrl.css('color', urlColor);
                t.testTabUrl.css('color', urlColor);
            });

            this.highlightColor.on('change', function()
            {
                var highlightColor = $(this).val();

                t.testHighlightColor.css({
                    'color': highlightColor,
                    'border-bottom-color': highlightColor
                });

                t.testBoxHeader.css('color', highlightColor);
            });

            this.boxHeader.on('change', function()
            {
                t.testBoxHeader.css('background', $(this).val());
            });

            this.boxBg.on('change', function()
            {
                t.testBoxBg.css('background', $(this).val());
            });

            this.borderColor.on('change', function()
            {
                t.testBoxBg.css('border-color', $(this).val());
            });

            this.borderAltColor.on('change', function()
            {
                var borderAltColor = $(this).val();

                t.testBoxHeader.css('border-color', borderAltColor);
                t.testButtonColor.css('border-color', borderAltColor);
            });

            this.buttonColor.on('change', function()
            {
                t.testButtonColor.css('background', $(this).val());
            });
        }
    });
    
    XF.Element.register('profile-preview', 'XF.ProfilePreview');
}
(jQuery, window, document);
