/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz>
 */

!function($, window, document, _undefined)
{
    "use strict";
    
    XF.MemberTooltip = XF.extend(XF.MemberTooltip,
    {
        __backup: {
            'init': '_init'
        },

        init: function () {
            this.userId = this.$target.data('user-id');

            var extraClass = 'tooltip--member';
            var styleClass = '';

            var ignoredUsers = [];

            if(XF.config.apSsIgnoredUserStyles)
            {
                var ignoredUsers = XF.config.apSsIgnoredUserStyles;
                var ignoredUsers = ignoredUsers.split(',').map(Number);
            }

            if(XF.config.apSsCanChangeTooltipStyle
            && !XF.config.apSsDisableUserStyles
            && jQuery.inArray(this.userId, ignoredUsers) === -1)
            {
                var styleClass = ' ap-ss-memberTooltip-'+this.userId;
            }

            var tooltipClass = extraClass + styleClass;

            this.tooltip = new XF.TooltipElement(XF.proxy(this, 'getContent'), {
                extraClass: tooltipClass,
                html: true,
                loadRequired: true
            });

            this.trigger = new XF.TooltipTrigger(this.$target, this.tooltip, {
                maintain: true,
                delayInLoading: this.options.delay,
                delayIn: this.options.delay,
                trigger: 'hover focus click',
                onShow: XF.proxy(this, 'onShow'),
                onHide: XF.proxy(this, 'onHide')
            });

            this.trigger.init();
        }
    });

    XF.Element.register('member-tooltip', 'XF.MemberTooltip');
}
(jQuery, window, document);
