/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz>
 */

!function($, window, document, _undefined)
{
    "use strict";

    XF.TooltipPreview = XF.Element.newHandler({
        /**
         * TESTER ELEMENTS
         */
        testColor:          $('.js-previewTooltip'),
        testUrlColor:       $('.js-previewTooltip a'),
        testHighlightColor: $('.js-previewTooltip dt'),
        testBoxBg:          $('.js-previewTooltip .memberTooltip'),
        testBorderColor:    $('.js-previewTooltip .button--link, .js-previewTooltip .memberTooltip-header'),
        testButtonColor:    $('.js-previewTooltip .button--link'),

        /**
         * OPTION ELEMENTS
         */
        color:              $('#tooltipColor'),
        urlColor:           $('#tooltipUrlColor'),
        highlightColor:     $('#tooltipHighlightColor'),
        boxBg:              $('#tooltipBoxBg'),
        borderColor:        $('#tooltipBorderColor'),
        buttonColor:        $('#tooltipButtonColor'),

        init: function()
        {
            var t = this;

            this.color.on('input', function()
            {
                t.testColor.css('color', $(this).val());
            });

            this.urlColor.on('input', function()
            {
                t.testUrlColor.css('color', $(this).val());
            });

            this.highlightColor.on('input', function()
            {
                t.testHighlightColor.css('color', $(this).val());
            });

            this.boxBg.on('input', function()
            {
                t.testBoxBg.css('background-color', $(this).val());
            });

            this.borderColor.on('input', function()
            {
                t.testBorderColor.css('border-color', $(this).val());
            });

            this.buttonColor.on('input', function()
            {
                t.testButtonColor.css('background', $(this).val());
            });
        }
    });

    XF.Element.register('tooltip-preview', 'XF.TooltipPreview');
}
(jQuery, window, document);
