<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Admin\Controller;

use XF;
use XF\Admin\Controller\AbstractController;
use XF\Entity\User;

class UserStyle extends AbstractController
{
    use Style\CustomTitle;
    use Style\Post;
    use Style\Postbit;
    use Style\Profile;
    use Style\Tooltip;
    use Style\Username;

    protected function isValidAdminPassword(User $user)
    {
        $password = $this->filter('visitor_password', 'str');

		if($user->exists() && $user->is_super_admin)
		{
			if(!XF::visitor()->authenticate($password))
			{
				throw $this->exception($this->error(
                    XF::phrase('your_existing_password_is_not_correct')
                ));
			}
		}
    }

    protected function assertViewableUser($userId, $with = NULL)
    {
        return $this->assertRecordExists('XF:User', $userId, $with, 'requested_user_not_found');
    }
}
