<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Block;

use apathy\StyleSuite\Block\AbstractBlock;
use XF;

class Spotify extends AbstractBlock
{
    protected $options = [
        'type'     => 'spotify',
        'autolink' => true
    ];

    public function getFontAwesomeIcon(): string
    {
        return 'fa-spotify';
    }

    public function getOptionPhrase()
    {
        return XF::phrase('ap_ss_block_spotify_audio');
    }

    public function getVerificationRegex(): string
    {
        return XF\BbCode\Helper\Spotify::URL_REGEX;
    }

    public function isEnabled(): bool
    {
        $options = XF::options();

        if($options->autoEmbedMedia === 0
        || $options->apSsDisableSpotifyBlocks)
        {
            return false;
        }

        return true;
    }
}
