<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Block;

use apathy\StyleSuite\Block\AbstractBlock;
use XF;

class Text extends AbstractBlock
{
    protected $options = [
        'type'     => 'text',
        'autolink' => false
    ];

    public function getFontAwesomeIcon(): string
    {
        return 'fa-quote-left';
    }

    public function getOptionPhrase()
    {
        return XF::phrase('text');
    }

    public function isEnabled(): bool
    {
        if(XF::options()->apSsDisableTextBlocks)
        {
            return false;
        }

        return true;
    }
}
