<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Block;

use apathy\StyleSuite\Block\AbstractBlock;
use XF;

class Twitch extends AbstractBlock
{
    protected $options = [
        'type'     => 'twitch',
        'autolink' => true
    ];

    public function getFontAwesomeIcon(): string
    {
        return 'fa-twitch';
    }

    public function getOptionPhrase()
    {
        return XF::phrase('ap_ss_block_twitch_clip');
    }

    public function getVerificationRegex(): string
    {
        /**
         * https://www.regextester.com/99797
         */
        return '/^http(s)?:\/\/www\.twitch\.tv\/videos\/([0-9]{1,9})/';
    }

    public function isEnabled(): bool
    {
        $options = XF::options();

        if($options->autoEmbedMedia === 0
        || $options->apSsDisableTwitchBlocks)
        {
            return false;
        }

        return true;
    }
}
