<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Block;

use apathy\StyleSuite\Block\AbstractBlock;
use XF;

class TwitterFeed extends AbstractBlock
{
    protected $options = [
        'type'     => 'twitterfeed',
        'autolink' => false
    ];

    public function getFontAwesomeIcon(): string
    {
        return 'fa-twitter';
    }

    public function getOptionPhrase()
    {
        return XF::phrase('ap_ss_block_twitter_feed');
    }

    public function getOptionExplainPhrase()
    {
        return XF::phrase('ap_ss_block_twitter_feed_explain');
    }

    public function getVerificationRegex()
    {
        /**
         * XF\Validator\Twitter
         */
        return '#twitter\.com/(?P<id>[a-z0-9\_.]+)$|^[a-z0-9_]+$#i';
    }

    public function isEnabled(): bool
    {
        if(XF::options()->apSsDisableTwitterFeedBlocks)
        {
            return false;
        }

        return true;
    }
}
