<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Block;

use apathy\StyleSuite\Block\AbstractBlock;
use XF;

class Youtube extends AbstractBlock
{
    protected $options = [
        'type'     => 'youtube',
        'autolink' => true
    ];

    public function getFontAwesomeIcon(): string
    {
        return 'fa-youtube';
    }

    public function getOptionPhrase()
    {
        return XF::phrase('ap_ss_block_youtube_video');
    }

    public function getVerificationRegex(): string
    {
        /**
         * https://regexr.com/3dj5t
         */
        return '/^((?:https?:)?\/\/)?((?:www|m)\.)?((?:youtube\.com|youtu.be))(\/(?:[\w\-]+\?v=|embed\/|v\/)?)([\w\-]+)(\S+)?$/si';
    }

    public function isEnabled(): bool
    {
        $options = XF::options();

        if($options->autoEmbedMedia === 0
        || $options->apSsDisableYoutubeBlocks)
        {
            return false;
        }

        return true;
    }
}
