<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

/**
 * COLUMNS
 * @property int $user_id
 * @property int $ignored_user_id
 */

class UserStyleIgnored extends Entity
{
    public static function getStructure(Structure $structure)
    {
        $structure->table = 'xf_ap_user_style_ignored';
        $structure->shortName = 'apathy\StyleSuite:UserStyleIgnored';
        $structure->primaryKey = ['user_id', 'ignored_user_id'];
        $structure->columns = [
            'user_id'         => ['type' => self::UINT, 'required' => true],
            'ignored_user_id' => ['type' => self::UINT, 'required' => true]
        ];
        $structure->getters = [];
        $structure->relations = [];

        return $structure;
    }
}
