<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Install;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

trait upgrade2080070
{
    public function upgrade2080070Step1()
    {
        /**
         * Add new columns to profile entity
         */
        $this->schemaManager()->alterTable('xf_ap_profile_styles', function(Alter $table)
        {
            $table->addColumn('pr_page_bg_type', 'int')->setDefault(0);
            $table->addColumn('pr_page_bg_rep', 'int')->setDefault(0);
            $table->addColumn('pr_scrollbar_color', 'varchar', 30);
            $table->addColumn('pr_scrollbar_width', 'int')->setDefault(0);
            $table->addColumn('pr_scrollbar_bg', 'varchar', 30);
            $table->addColumn('pr_scrollbar_radius', 'int')->setDefault(0);

            $table->changeColumn('pr_page_bg', 'varchar', 90);
        });

        /**
         * Add new column to block entity
         */
        $this->schemaManager()->alterTable('xf_ap_profile_block', function(Alter $table)
        {
            $table->addColumn('position', 'int')->setDefault(0);
        });

        /**
         * Create postbit entity
         */
        $this->schemaManager()->createTable('xf_ap_ss_postbit_style', function(Create $table)
        {
            $table->addColumn('style_id', 'int')->autoIncrement();
            $table->addPrimaryKey('style_id');

            $table->addColumn('user_id', 'int');
            $table->addColumn('disable', 'bool')->setDefault(0);
            $table->addColumn('background', 'varchar', 200);
            $table->addColumn('bg_type', 'int')->setDefault(0);
            $table->addColumn('bg_repeat', 'varchar', 30);
            $table->addColumn('bg_position', 'varchar', 30);
            $table->addColumn('bg_size', 'varchar', 30);
            $table->addColumn('bg_opacity', 'int')->setDefault(1);
            $table->addColumn('bg_brightness', 'float')->setDefault(1.0);
            $table->addColumn('bg_contrast', 'int')->setDefault(1);
            $table->addColumn('bg_date', 'int')->setDefault(0);
            $table->addColumn('color', 'varchar', 30);
            $table->addColumn('text_shadow', 'bool')->setDefault(0);
            $table->addColumn('css', 'blob')->nullable()->setDefault(null);
        });
    }
}
