<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Job;

use XF;
use XF\Job\AbstractJob;

class UsernameCache extends AbstractJob
{
    protected $defaultData = [
        'start' => 0
    ];

    public function run($maxRunTime)
    {
        /** @var \apathy\StyleSuite\Repository\Styles $repo */
        $repo = $this->app->repository('apathy\StyleSuite:Styles');

        $repo->rebuildUsernameStyleCache();
        $repo->rebuildUsernameGlowCache();

        return $this->complete();
    }

    public function getStatusMessage()
    {
        $actionPhrase = XF::phrase('rebuilding');
        $typePhrase   = XF::phrase('ap_ss_username_style_cache');

        return sprintf('%s... %s (%s)', $actionPhrase, $typePhrase, $this->data['start']);
    }

    public function canCancel()
    {
        return true;
    }

    public function canTriggerByChoice()
    {
        return true;
    }
}
