<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Pub\Controller\Style;

use apathy\StyleSuite\Helper;
use XF\Entity\User;

trait CustomTitle
{
    protected function customTitleStyleSave(User $visitor)
    {
        if(!$visitor->canChangeCustomTitleStyle())
        {
            return $this->noPermission();
        }

        $form = $this->formAction();

        $input = $this->filter([
            'ttl_bold'        => 'int',
            'ttl_color'       => 'str',
            'ttl_color_type'  => 'int',
            'ttl_color_end'   => 'str',
            'ttl_font'        => 'str',
            'ttl_glow'        => 'str',
            'ttl_glow_alt'    => 'str',
            'ttl_glow_str'    => 'int',
            'ttl_glow_css'    => 'str',
            'ttl_italic'      => 'int',
            'ttl_sparkle'     => 'str',
            'ttl_underline'   => 'int',
            'ttl_bg'          => 'str'
        ]);

        $colors = [
            $input['ttl_color'],
            $input['ttl_color_end'],
            $input['ttl_glow'],
            $input['ttl_glow_alt']
        ];

        if(!empty($colors))
        {
            Helper::verifyColors($colors);
        }

        if(!empty($input['ttl_glow_css']))
        {
            Helper::verifyCss($input['ttl_glow_css']);
        }

        $form->basicEntitySave($visitor, ['ap_title_style' => $input]);

        return $form;
    }
}
 
