<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Pub\Controller\Style;

use apathy\StyleSuite\Helper;
use XF\Entity\User;

trait Post
{
    protected function postStyleSave(User $visitor)
    {
        if(!$visitor->canChangePostStyle())
        {
            return $this->noPermission();
        }

        $form = $this->formAction();

        $input = $this->filter([
            'post_disable'   => 'bool',
            'post_bold'      => 'bool',
            'post_italic'    => 'bool',
            'post_underline' => 'bool',
            'post_color'     => 'str',
            'post_font'      => 'str',
            'post_font_size' => 'int',
            'default_bbcode' => 'str'
        ]);

        if(!empty($input['post_color']))
        {
            Helper::verifyColors([$input['post_color']]);
        }

        $form->basicEntitySave($visitor, ['ap_post_style' => $input]);

        return $form;
    }
}
 
