<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Pub\Controller\Style;

use apathy\StyleSuite\Helper;
use XF\Entity\User;

trait Tooltip
{
    protected function tooltipStyleSave(User $visitor)
    {
        if(!$visitor->canChangeTooltipStyle())
        {
            return $this->noPermission();
        }

        $form = $this->formAction();

        $input = $this->filter([
            'ttip_font_color' => 'str',
            'ttip_url_color'  => 'str',
            'ttip_hlight'     => 'str',
            'ttip_box_bg'     => 'str',
            'ttip_border'     => 'str',
            'ttip_button'     => 'str'
        ]);

        if(!empty($input))
        {
            Helper::verifyColors($input);
        }

        $form->basicEntitySave($visitor, ['ap_tooltip_style' => $input]);

        return $form;
    }
}
 
