 
This addon allows users to customize the appearance of the username, custom title, profile, and postbit, by adding 4 new pages to the Account Details section. It also expands upon Account Details by adding a new drop-down field that allows users to add a frame to their avatar.

As of v1.5.0, the addon also extends [tl] Social Groups, and allows groups owners to theme their groups however they choose!

As of v1.9.2, the addon adds additional tasks to the [NF] User Onboarding addon!

The abilities are all controllable with permissions so you can restrict certain user(groups) from accessing the functionality - ideal for user upgrades etc.

### Features

- Extends Xenforo User Criteria for Trophy support
- Users can disable all styles if they find them annoying
- Users can ignore each others styles
- Admin options
    - Can globally disable each style type
    - Can choose if username icons should inherit usergroup color or allow separate styling
    - Can choose square or round avatar types
    - Can choose maximum username icon image height & width
    - Can choose maximum postbit background height & width
    - Can choose minimum & maximum font size for post styles
    - Can globally disable each custom profile block type
    - Can upload, delete & rename avatar frames, sparkles, fonts & postbit presets
- Style properties
    - Prevent animated glow CSS from being loaded
    - Prevent custom title style CSS from being loaded
    - Prevent avatar frame CSS from being loaded
    - Prevent font CSS from being loaded
    - Prevent sparkle CSS from being loaded
    - Prevent username style CSS from being loaded
    - Prevent tooltip style CSS from being loaded
    - Disable profile styles
    - Sparkle width
    - Sticky style previews
    - Sticky preview position offset
    - Input slider background color
    - Input slider thumb color
    - CSS box gutter background color
    - CSS box slider background color
    - CSS box slider thumb color
    - Postbit gradient start color
    - Postbit gradient end color
    - Postbit gradient direction
- Custom avatar frames
- Custom title style
    - Bold, italic, underline
    - Color
        - Solid color
        - Gradient color
    - Font family
    - Glow color
    - "None", "Weak", "Medium", "Strong", "Animated", "Custom" glow strengths
    - Fill your text with an image ("Inner-text animations")
    - Sparkle
- Postbit style
    - Disable postbit backgrounds if you don't like them
    - Accepts image URLs, uploads, or a preset choice for a background
    - "No repeat", "Horizontal", "Vertical", "Both" background repeat options
    - Sliders for controlling X & Y axis position of the background image
    - "Auto", "contain", "cover" background size options
    - Opacity
    - Brightness
    - Contrast
    - Text color
    - Text shadow
    - CSS
- Post style
    - Disable post styles if you don't like them
    - Bold, italic, underline
    - Color
    - Font family
    - Font size
- Profile style
    - Header
    - Navbar background color
    - Page background
        - Color
        - Image
    - Font color
    - URL color
    - Highlight color
    - Box header color
    - Box background color
    - Border color
    - Button color
    - Scrollbar color
    - Scrollbar background color
    - Scrollbar width
    - Scrollbar radius
    - CSS
- Tooltip style
    - Font color
    - URL color
    - Highlight color
    - Box background color
    - Border color
    - Button color
- Username style
    - Bold, italic, underline
    - Color
        - Solid color
        - Gradient color
    - Font family
    - Glow color
    - "None", "Weak", "Medium", "Strong", "Animated", "Custom" glow strengths
    - Fill your text with an image ("Inner-text animations")
    - Fontawesome or image URL icons
    - "Before" or "After" icon position
    - Icon color
    - Sparkle
- Custom profile blocks
    - Soundcloud audio
    - Spotify audio
    - Text
    - Twitter feed
    - Youtube video

### Compatible themes​

- CSCN Anniversary
- FlatTheme - PigmentGreen
- IPBee
- Mocah
- MX Dark
- Pach
- Pro Black
- PurpleFreak
- Royal
- Shades of Blue
- Shades of Grey
- StyleFactory Rain
- ThemeHouse iO / iO Dark
- ThemeHouse UI.X 2
- Xenforo default
