<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Truonglv\Groups\Pub\Controller;

use Truonglv\Groups\Entity\Group as GroupEntity;
use XF;
use XF\Mvc\Reply\View;
use XF\Mvc\ParameterBag;

class Group extends XFCP_Group
{
    public function actionEdit(ParameterBag $params)
    {
        $parent = parent::actionEdit($params);

        if($parent instanceof View)
        {
            $group    = $parent->getParam('group');
            $group_id = $group->group_id;
            $repo     = $this->repository('apathy\StyleSuite:Styles');

            $finder   = $repo->findGroupStyle($group_id);

            if(!$this->isPost())
            {
                $parent->setParam('style', $finder);
            }
        }

        return $parent;
    }

    protected function setupGroupEditService(GroupEntity $group)
    {
        $form    = parent::setupGroupEditService($group);
        $visitor = XF::visitor();
        $user_id = $visitor->user_id;

        if($user_id == $group->owner_user_id
        || $group->member_cache[$user_id]['member_role_id'] == 'admin'
        && $visitor->hasPermission('ap_styles', 'ap_modify_group_styles'))
        {
            $input = $this->filter([
                'page_header'      => 'str',
                'navbar_bg'        => 'str',
                'page_bg'          => 'str',
                'font_color'       => 'str',
                'url_color'        => 'str',
                'highlight_color'  => 'str',
                'box_header'       => 'str',
                'box_bg'           => 'str',
                'border_color'     => 'str',
                'border_alt_color' => 'str',
                'button'           => 'str',
                'css'              => 'str',
            ]);

            $entity = $this->em()->find('Truonglv\Groups:Group', $group->group_id);

            $entity->ap_group_style = $input;

            $entity->save();
        }

        return $form;
    }
}
