<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\XF\Admin\Controller;

use XF;

class UserGroup extends XFCP_UserGroup
{
    protected function userGroupAddEdit(\XF\Entity\UserGroup $userGroup)
    {
        $parent = parent::userGroupAddEdit($userGroup);

        /** @var apathy\StyleSuite\XF\Repository\Styles $repo */
        $repo = $this->repository('apathy\StyleSuite:Styles');
        $frames = $repo->getFramesFromCache();

        $parent->setParam('frames', $frames);

        return $parent;
    }

    protected function userGroupSaveProcess(\XF\Entity\UserGroup $userGroup)
    {
        $form = parent::userGroupSaveProcess($userGroup);

        if(XF::visitor()->hasPermission('ap_styles', 'ap_change_frame_ad'))
        {
            $frame = $this->filter('frame', 'str');

            $form->setup(function() use ($userGroup, $frame)
            {
                $userGroup->ap_frame = $frame;
            });
        }

        return $form;
    }
}
