<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\XF;

class CssRenderer extends XFCP_CssRenderer
{
    protected function getRenderParams()
    {
        $params = parent::getRenderParams();

        if($this->includeExtraParams)
        {
            try
            {
                $params['apAvatarFrames'] = $this->app->container('ap.avatarFrames');
                $params['apFonts']        = $this->app->container('ap.fonts');
                $params['apSparkles']     = $this->app->container('ap.sparkles');
                $params['apTitleStyles']  = $this->app->container('ap.titleStyles');
                $params['apTitleGlows']   = $this->app->container('ap.titleGlows');
                $params['apTooltips']     = $this->app->container('ap.tooltips');
                $params['apUnameStyles']  = $this->app->container('ap.unameStyles');
                $params['apUnameGlows']   = $this->app->container('ap.unameGlows');
                $params['apPostbitBgs']   = $this->app->container('ap.postbitBgs'); // Presets
            }
            catch (\Exception $e)
            {
                $params['apAvatarFrames'] = [];
                $params['apFonts']        = [];
                $params['apSparkles']     = [];
                $params['apTitleStyles']  = [];
                $params['apTitleGlows']   = [];
                $params['apTooltips']     = [];
                $params['apUnameStyles']  = [];
                $params['apUnameGlows']   = [];
                $params['apPostbitBgs']   = [];
            }
        }

        return $params;
    }
}
