<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\XF\Pub\Controller;

use XF;

class Account extends XFCP_Account
{
    public function actionTitle()
    {
        $visitor = XF::visitor();

        if(!$visitor->hasPermission('general', 'editCustomTitle'))
        {
            return $this->noPermission($error);
        }

        if($this->isPost())
        {
            $title = $this->filter('custom_title', 'str');

            $visitor->fastUpdate('custom_title', $title);

            return $this->redirect($this->buildLink('account/style-settings'));
        }
        
        $view = $this->view('XF:Account\Title', 'account_title');

        return $this->addAccountWrapperParams($view, 'account_details');
    }

    protected function preferencesSaveProcess(\XF\Entity\User $visitor)
    {
        $form = parent::preferencesSaveProcess($visitor);

        $input = $this->filter([
            'option' => [
                'ap_ss_disable_user_styles' => 'bool'
            ]
        ]);

        $options = XF::visitor()->getRelationOrDefault('Option');

        $form->basicEntitySave($options, $input['option']);

        return $form;
    }
}
