<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\XF\Pub\Controller;

use XF;
use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\View;

class Member extends XFCP_Member
{
    public function actionView(ParameterBag $params)
    {
        $parent = parent::actionView($params);

        if($parent instanceof View)
        {
            $user = $parent->getParam('user');

            if($user->hasRelation('Block'))
            {
                $parent->setParam('blocks', $user->Block);
            }
        }

        return $parent;
    }

    public function actionIgnoreStyle(ParameterBag $params)
    {
        $app = $this->app();
        $visitor = XF::visitor();

        $isIgnored = $app->em()->find('apathy\StyleSuite:UserStyleIgnored', [
            'user_id'         => $visitor->user_id,
            'ignored_user_id' => $params->user_id
        ]);

        if($isIgnored)
        {
            $isIgnored->delete();

            return $this->redirect($this->getDynamicRedirect());
        }

        $entity = $app->em()->create('apathy\StyleSuite:UserStyleIgnored');

        $input = [
            'user_id'         => $visitor->user_id,
            'ignored_user_id' => $params->user_id
        ];

        $entity->bulkSet($input);

        $entity->save(true, false);

        return $this->redirect($this->getDynamicRedirect());
    }
}
