<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\XF\Service\Message;

use XF;

class Preparer extends XFCP_Preparer
{
    public function prepare($message, $checkValidity = true)
    {
        if(XF::options()->ap_disable_post_styles)
        {
            return parent::prepare($message, $checkValidity);
        }
        
        $entity = $this->getMessageEntity();

        if($entity === NULL || $entity->isUpdate())
        {
            return parent::prepare($message, $checkValidity);
        }

        $style = XF::visitor()->ap_post_style;

        if(isset($style['default_bbcode']) && !empty($style['default_bbcode']))
        {
            if(strpos($style['default_bbcode'], '{$message}') === false)
            {
                return parent::prepare($message, $checkValidity);
            }

            $message = str_replace('{$message}', $message, $style['default_bbcode']);
        }

        return parent::prepare($message, $checkValidity);
    }
}